
//Changes checkpoint activation behavior
COM_AddCommand("eh_checkpoints", function(p, arg)
	if arg then
		arg = tostring(arg)
		if arg ~= nil and arg == "1"
			activateAll = true
			CONS_Printf(p, "\x04 All previous checkpoints will now become active when touching a new checkpoint.")
		elseif arg ~= nil and arg == "2"
			activateAll = false
			CONS_Printf(p, "\x04 Only checkpoints interacted with will now become active.")
		else
			CONS_Printf(p, "\x04 Invalid argument. Please only use the arguments '1' or '2'")
		end
	else
		CONS_Printf(p, "\x04 Determines how checkpoints are activated for warp system usage.")
		CONS_Printf(p, "\x82 Possible arguments: ")
		CONS_Printf(p, "\x87 1 - Activate every checkpoint that came before the last one a player has activated. (default)")
		CONS_Printf(p, "\x87 2 - Only checkpoints the player has been to will become usable in the warp system, similar to Shadow the Hedgehog.")
	end
end, COM_ADMIN)

//Picks whether emblems should be generated only on vanilla emblems, emerald tokens, or both
COM_AddCommand("eh_emblems", function(p, arg)
	if arg then
		if not (gametype == GT_EMBHUNT)
			CONS_Printf(p, "\x04 This setting can only be changed during emblem hunt mode.")
			return
		end
		arg = tostring(arg)
		if arg ~= nil and (arg == "1" or arg == "2" or arg == "3")
			emDifficulty = tonumber(arg)
			initialize()
			if arg == "1" then CONS_Printf(p, "\x04Goal emblems will now only spawn from emerald tokens.")
			elseif arg == "2" then CONS_Printf(p, "\x04Goal emblems will now only spawn from vanilla emblem locations.")
			elseif arg == "3" then CONS_Printf(p, "\x04Goal emblems will now spawn from both emerald tokens and vanilla emblems.")
			end
		end
	else
		CONS_Printf(p, "\x04 Determines where goal emblems should spawn from when a map is loaded. Changing this will reset the current level's emblems!")
		CONS_Printf(p, "\x82 Possible arguments: ")
		CONS_Printf(p, "\x87 1 - Spawn goal emblems on top of emerald tokens only.")
		CONS_Printf(p, "\x87 2 - Spawn goal emblems only where vanilla stage emblems would be.")
		CONS_Printf(p, "\x87 3 - Spawn goal emblems for both emerald tokens and vanilla emblems.")
	end
end, COM_ADMIN)

//Toggles christmas present mode on or off
COM_AddCommand("eh_xmas", function(p, arg)
	if arg then
		if not (gametype == GT_EMBHUNT)
			CONS_Printf(p, "\x04 This setting can only be changed during emblem hunt mode.")
			return
		end
		arg = tostring(arg)
		if arg ~= nil 
			if arg == "0" or arg == "1" or arg == "2" or arg == "3"
				KRIMA = tonumber(arg)
				if arg == "0" then CONS_Printf(p, "\x04 See you again next december!")
				elseif arg == "1" then CONS_Printf(p, "\x83 Happy ho ho holidays! Emblems are now gifts!.")
				elseif arg == "2" then CONS_Printf(p, "\x83 Feel the christmas spirit! Emblems became gifts and levels are now snowy!")
				elseif arg == "3" then CONS_Printf(p, "\x83 O chilly nights! It's the full xmas package!")
				end
				S_StartSound(nil, sfx_nxitem)
				initialize()
			end
		end
	else
		CONS_Printf(p, "\x04 Merry xmas everyone! Transforms all emblems into xmas presents when eanbled. Changing this will reset the current level's emblems!")
		CONS_Printf(p, "\x82 Possible arguments: ")
		CONS_Printf(p, "\x87 0 - disables xmas mode.")
		CONS_Printf(p, "\x87 1 - enables basic xmas mode, changing emblems into gifts.")
		CONS_Printf(p, "\x87 2 - enables xmas mode skyboxes and weather, as well as the gifts.")
		CONS_Printf(p, "\x87 3 - enables everything from 1 and 2 plus a dark overlay. May make things harder to see in software mode.")
	end
end, COM_ADMIN)

//Allows using super forms in EH
COM_AddCommand("eh_super", function(p, arg)
	if arg then
		arg = tostring(arg)
		if arg ~= nil and (arg == "1" or arg == "true" or arg == "on")
			superEH = true
			CONS_Printf(p, "\x04 Super forms have been enabled during emblem hunt mode.")
			if p.valid and gametype == GT_EMBHUNT then
				emeralds = 127
			end
		elseif arg ~= nil and (arg == "0" or arg == "false" or arg == "off")
			superEH = false
			CONS_Printf(p, "\x04 Characters can no longer become super in emblem hunt mode.")
			if p.valid and gametype == GT_EMBHUNT then
				emeralds = 0
			end
		end
	else
		CONS_Printf(p, "\x04 Allows characters to access all 7 chaos emeralds during emblem hunt. Does not affect sol emeralds and other custom gems.")
		CONS_Printf(p, "\x82 Possible arguments:")
		CONS_Printf(p, "\x87 on/true/1 - enables super forms.")
		CONS_Printf(p, "\x87 off/false/0 - disables super forms.")
	end
end, COM_ADMIN)